#include "hikcamera.h"
#include <algorithm> 
#include <iostream>
#include <thread>

MV_CC_DEVICE_INFO_LIST HIKCamera::stDeviceList;

HIKCamera::HIKCamera(int DeviceNum)
{

}


HIKCamera::~HIKCamera()
{

}

int HIKCamera::Enumerate()
{
	int status = 0;

	// ch:枚举设备 | Enum device
	
	memset(&stDeviceList, 0, sizeof(MV_CC_DEVICE_INFO_LIST));

	status = MV_CC_EnumDevices(MV_GIGE_DEVICE| MV_USB_DEVICE, &stDeviceList);

	if (MV_OK == status)
	{
		return stDeviceList.nDeviceNum;
	}
	else
	{
		return 0;
	}
	
}
